<?php
/**
 * Header Options
 *
 * @package cleaning_services_agent
 */

// ---------------------------------------- GENERAL OPTIONBS ----------------------------------------------------
// ---------------------------------------- PRELOADER ----------------------------------------------------

$wp_customize->add_section(
	'cleaning_services_agent_general_options',
	array(
		'panel' => 'cleaning_services_agent_theme_options',
		'title' => esc_html__( 'General Options', 'cleaning-services-agent' ),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'cleaning_services_agent_preloader_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Cleaning_Services_Agent_Separator_Custom_Control( $wp_customize, 'cleaning_services_agent_preloader_separator', array(
	'label' => __( 'Enable / Disable Site Preloader Section', 'cleaning-services-agent' ),
	'section' => 'cleaning_services_agent_general_options',
	'settings' => 'cleaning_services_agent_preloader_separator',
) ) );


// General Options - Enable Preloader.
$wp_customize->add_setting(
	'cleaning_services_agent_enable_preloader',
	array(
		'sanitize_callback' => 'cleaning_services_agent_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Cleaning_Services_Agent_Toggle_Switch_Custom_Control(
		$wp_customize,
		'cleaning_services_agent_enable_preloader',
		array(
			'label'   => esc_html__( 'Enable Preloader', 'cleaning-services-agent' ),
			'section' => 'cleaning_services_agent_general_options',
		)
	)
);

// Preloader Style Setting
$wp_customize->add_setting(
	'cleaning_services_agent_preloader_style',
	array(
		'default'           => 'style1',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'cleaning_services_agent_preloader_style',
	array(
		'type'     => 'select',
		'label'    => esc_html__('Select Preloader Styles', 'cleaning-services-agent'),
		'active_callback' => 'cleaning_services_agent_is_preloader_style',
		'section'  => 'cleaning_services_agent_general_options',
		'choices'  => array(
			'style1' => esc_html__('Style 1', 'cleaning-services-agent'),
			'style2' => esc_html__('Style 2', 'cleaning-services-agent'),
			'style3' => esc_html__('Style 3', 'cleaning-services-agent'),
		),
	)
);

// Preloader Background Color Setting
$wp_customize->add_setting(
	'cleaning_services_agent_preloader_background_color_setting',
	 array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 'cleaning_services_agent_preloader_background_color_setting', 
		array(
			'label' => __('Preloader Background Color', 'cleaning-services-agent'),
			'active_callback' => 'cleaning_services_agent_is_preloader_style',
			'section' => 'cleaning_services_agent_general_options',
		)
	)
);

// Preloader Background Image Setting
$wp_customize->add_setting(
	'cleaning_services_agent_preloader_background_image_setting', 
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize, 'cleaning_services_agent_preloader_background_image_setting',
		 array(
			'label' => __('Preloader Background Image', 'cleaning-services-agent'),
			'active_callback' => 'cleaning_services_agent_is_preloader_style',
			'section' => 'cleaning_services_agent_general_options',
		)
	)
);

// ---------------------------------------- PAGINATION ----------------------------------------------------

// Add Separator Custom Control
$wp_customize->add_setting( 'cleaning_services_agent_pagination_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Cleaning_Services_Agent_Separator_Custom_Control( $wp_customize, 'cleaning_services_agent_pagination_separator', array(
	'label' => __( 'Enable / Disable Pagination Section', 'cleaning-services-agent' ),
	'section' => 'cleaning_services_agent_general_options',
	'settings' => 'cleaning_services_agent_pagination_separator',
) ) );

// Pagination - Enable Pagination.
$wp_customize->add_setting(
	'cleaning_services_agent_enable_pagination',
	array(
		'default'           => true,
		'sanitize_callback' => 'cleaning_services_agent_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Cleaning_Services_Agent_Toggle_Switch_Custom_Control(
		$wp_customize,
		'cleaning_services_agent_enable_pagination',
		array(
			'label'    => esc_html__( 'Enable Pagination', 'cleaning-services-agent' ),
			'section'  => 'cleaning_services_agent_general_options',
			'settings' => 'cleaning_services_agent_enable_pagination',
			'type'     => 'checkbox',
		)
	)
);

// Pagination - Pagination Type.
$wp_customize->add_setting(
	'cleaning_services_agent_pagination_type',
	array(
		'default'           => 'default',
		'sanitize_callback' => 'cleaning_services_agent_sanitize_select',
	)
);

$wp_customize->add_control(
	'cleaning_services_agent_pagination_type',
	array(
		'label'           => esc_html__( 'Pagination Type', 'cleaning-services-agent' ),
		'section'         => 'cleaning_services_agent_general_options',
		'settings'        => 'cleaning_services_agent_pagination_type',
		'active_callback' => 'cleaning_services_agent_is_pagination_enabled',
		'type'            => 'select',
		'choices'         => array(
			'default' => __( 'Default (Older/Newer)', 'cleaning-services-agent' ),
			'numeric' => __( 'Numeric', 'cleaning-services-agent' ),
		),
	)
);

// ---------------------------------------- BREADCRUMB ----------------------------------------------------

// Add Separator Custom Control
$wp_customize->add_setting( 'cleaning_services_agent_breadcrumb_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Cleaning_Services_Agent_Separator_Custom_Control( $wp_customize, 'cleaning_services_agent_breadcrumb_separators', array(
	'label' => __( 'Enable / Disable Breadcrumb Section', 'cleaning-services-agent' ),
	'section' => 'cleaning_services_agent_general_options',
	'settings' => 'cleaning_services_agent_breadcrumb_separators',
)));

// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'cleaning_services_agent_enable_breadcrumb',
	array(
		'sanitize_callback' => 'cleaning_services_agent_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Cleaning_Services_Agent_Toggle_Switch_Custom_Control(
		$wp_customize,
		'cleaning_services_agent_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'cleaning-services-agent' ),
			'section' => 'cleaning_services_agent_general_options',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'cleaning_services_agent_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'cleaning_services_agent_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'cleaning-services-agent' ),
		'active_callback' => 'cleaning_services_agent_is_breadcrumb_enabled',
		'section'         => 'cleaning_services_agent_general_options',
	)
);

// ---------------------------------------- Website layout ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'cleaning_services_agent_layuout_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Cleaning_Services_Agent_Separator_Custom_Control( $wp_customize, 'cleaning_services_agent_layuout_separator', array(
	'label' => __( 'Website Layout Setting', 'cleaning-services-agent' ),
	'section' => 'cleaning_services_agent_general_options',
	'settings' => 'cleaning_services_agent_layuout_separator',
)));


$wp_customize->add_setting(
	'cleaning_services_agent_website_layout',
	array(
		'sanitize_callback' => 'cleaning_services_agent_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Cleaning_Services_Agent_Toggle_Switch_Custom_Control(
		$wp_customize,
		'cleaning_services_agent_website_layout',
		array(
			'label'   => esc_html__('Boxed Layout', 'cleaning-services-agent'),
			'section' => 'cleaning_services_agent_general_options',
		)
	)
);

$wp_customize->add_setting('cleaning_services_agent_layout_width_margin', array(
	'default'           => 50,
	'sanitize_callback' => 'cleaning_services_agent_sanitize_range_value',
));

$wp_customize->add_control(new Cleaning_Services_Agent_Customize_Range_Control($wp_customize, 'cleaning_services_agent_layout_width_margin', array(
		'label'       => __('Set Width', 'cleaning-services-agent'),
		'description' => __('Adjust the width around the website layout by moving the slider. Use this setting to customize the appearance of your site to fit your design preferences.', 'cleaning-services-agent'),
		'section'     => 'cleaning_services_agent_general_options',
		'settings'    => 'cleaning_services_agent_layout_width_margin',
		'active_callback' => 'cleaning_services_agent_is_layout_enabled',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 130,
			'step' => 1,
		),
)));

// ---------------------------------------- HEADER OPTIONS ----------------------------------------------------

$wp_customize->add_section(
	'cleaning_services_agent_header_options',
	array(
		'panel' => 'cleaning_services_agent_theme_options',
		'title' => esc_html__( 'Header Options', 'cleaning-services-agent' ),
	)
);


// Add setting for sticky header
$wp_customize->add_setting(
	'cleaning_services_agent_enable_sticky_header',
	array(
		'sanitize_callback' => 'cleaning_services_agent_sanitize_switch',
		'default'           => false,
	)
);

// Add control for sticky header setting
$wp_customize->add_control(
	new Cleaning_Services_Agent_Toggle_Switch_Custom_Control(
		$wp_customize,
		'cleaning_services_agent_enable_sticky_header',
		array(
			'label'   => esc_html__( 'Enable Sticky Header', 'cleaning-services-agent' ),
			'section' => 'cleaning_services_agent_header_options',
		)
	)
);

// Banner Section - Enable Section.
$wp_customize->add_setting(
	'cleaning_services_agent_enable_header_search_section',
	array(
		'default'           => true,
		'sanitize_callback' => 'cleaning_services_agent_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Cleaning_Services_Agent_Toggle_Switch_Custom_Control(
		$wp_customize,
		'cleaning_services_agent_enable_header_search_section',
		array(
			'label'    => esc_html__( 'Enable Search Section', 'cleaning-services-agent' ),
			'section'  => 'cleaning_services_agent_header_options',
			'settings' => 'cleaning_services_agent_enable_header_search_section',
		)
	)
);

// Top Header Section - Enable Section.
$wp_customize->add_setting(
	'cleaning_services_agent_enable_topbar',
	array(
		'default'           => true,
		'sanitize_callback' => 'cleaning_services_agent_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Cleaning_Services_Agent_Toggle_Switch_Custom_Control(
		$wp_customize,
		'cleaning_services_agent_enable_topbar',
		array(
			'label'    => esc_html__( 'Enable Top Header Section', 'cleaning-services-agent' ),
			'section'  => 'cleaning_services_agent_header_options',
			'settings' => 'cleaning_services_agent_enable_topbar',
		)
	)
);

// Top Header Section - Phone Number.
$wp_customize->add_setting(
	'cleaning_services_agent_top_header_phone_number',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'cleaning_services_agent_top_header_phone_number',
	array(
		'label'           => esc_html__( 'Phone Number', 'cleaning-services-agent' ),
		'section'         => 'cleaning_services_agent_header_options',
		'settings'        => 'cleaning_services_agent_top_header_phone_number',
		'type'            => 'text',
	)
);

// Top Header Section - Email ID.
$wp_customize->add_setting(
	'cleaning_services_agent_top_header_email_id',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'cleaning_services_agent_top_header_email_id',
	array(
		'label'           => esc_html__( 'Email ID', 'cleaning-services-agent' ),
		'section'         => 'cleaning_services_agent_header_options',
		'settings'        => 'cleaning_services_agent_top_header_email_id',
		'type'            => 'text',
	)
);

// Banner Section - Button Label.
$wp_customize->add_setting(
	'cleaning_services_agent_header_button_label_',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'cleaning_services_agent_header_button_label_',
	array(
		'label'           => esc_html__( 'Button Label', 'cleaning-services-agent'  ),
		'section'         => 'cleaning_services_agent_header_options',
		'settings'        => 'cleaning_services_agent_header_button_label_',
		'type'            => 'text',
	)
);

// Banner Section - Button Link.
$wp_customize->add_setting(
	'cleaning_services_agent_banner_button_link_',
	array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'cleaning_services_agent_banner_button_link_',
	array(
		'label'           => esc_html__( 'Button Link', 'cleaning-services-agent' ),
		'section'         => 'cleaning_services_agent_header_options',
		'settings'        => 'cleaning_services_agent_banner_button_link_',
		'type'            => 'url',
	)
);


// Add Separator Custom Control
$wp_customize->add_setting( 'cleaning_services_agent_menu_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Cleaning_Services_Agent_Separator_Custom_Control( $wp_customize, 'cleaning_services_agent_menu_separator', array(
	'label' => __( 'Menu Settings', 'cleaning-services-agent' ),
	'section' => 'cleaning_services_agent_header_options',
	'settings' => 'cleaning_services_agent_menu_separator',
)));

$wp_customize->add_setting( 'cleaning_services_agent_menu_font_size', array(
    'default'           => 15,
    'sanitize_callback' => 'absint',
) );

// Add control for site title size
$wp_customize->add_control( 'cleaning_services_agent_menu_font_size', array(
    'type'        => 'number',
    'section'     => 'cleaning_services_agent_header_options',
    'label'       => __( 'Menu Font Size ', 'cleaning-services-agent' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
));

// Add setting for menu font weight
$wp_customize->add_setting('cleaning_services_agent_menu_font_weight', array(
    'default'           => '600',
    'sanitize_callback' => 'sanitize_text_field',
));

// Add control for menu font weight
$wp_customize->add_control('cleaning_services_agent_menu_font_weight', array(
    'type'     => 'select',
    'section'  => 'cleaning_services_agent_header_options', 
    'label'    => __('Menu Font Weight', 'cleaning-services-agent'),
    'choices'  => array(
		'100' => __('100','cleaning-services-agent'),
		'200' => __('200','cleaning-services-agent'),
		'300' => __('300','cleaning-services-agent'),
		'400' => __('400','cleaning-services-agent'),
		'500' => __('500','cleaning-services-agent'),
		'600' => __('600','cleaning-services-agent'),
		'700' => __('700','cleaning-services-agent'),
		'800' => __('800','cleaning-services-agent'),
		'900' => __('900','cleaning-services-agent'),
    ),
));

$wp_customize->add_setting( 'cleaning_services_agent_menu_text_transform', array(
    'default'           => 'uppercase', 
    'sanitize_callback' => 'sanitize_text_field',
) );

// Add control for menu text transform
$wp_customize->add_control( 'cleaning_services_agent_menu_text_transform', array(
    'type'     => 'select',
    'section'  => 'cleaning_services_agent_header_options',
    'label'    => __( 'Menu Text Transform', 'cleaning-services-agent' ),
    'choices'  => array(
        'none'       => __( 'None', 'cleaning-services-agent' ),
        'capitalize' => __( 'Capitalize', 'cleaning-services-agent' ),
        'uppercase'  => __( 'Uppercase', 'cleaning-services-agent' ),
        'lowercase'  => __( 'Lowercase', 'cleaning-services-agent' ),
    ),
) );

// Menu Text Color 
$wp_customize->add_setting(
	'cleaning_services_agent_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'cleaning_services_agent_menu_text_color', 
		array(
			'label' => __('Menu Color', 'cleaning-services-agent'),
			'section' => 'cleaning_services_agent_header_options',
		)
	)
);

// Sub Menu Text Color 
$wp_customize->add_setting(
	'cleaning_services_agent_sub_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'cleaning_services_agent_sub_menu_text_color', 
		array(
			'label' => __('Sub Menu Color', 'cleaning-services-agent'),
			'section' => 'cleaning_services_agent_header_options',
		)
	)
);

// ----------------------------------------SITE IDENTITY----------------------------------------------------


// Site Logo - Enable Setting.
$wp_customize->add_setting(
	'cleaning_services_agent_enable_site_logo',
	array(
		'default'           => false, // Default is to display the logo.
		'sanitize_callback' => 'cleaning_services_agent_sanitize_switch', // Sanitize using a custom switch function.
	)
);

$wp_customize->add_control(
	new Cleaning_Services_Agent_Toggle_Switch_Custom_Control(
		$wp_customize,
		'cleaning_services_agent_enable_site_logo',
		array(
			'label'    => esc_html__( 'Enable Site Logo', 'cleaning-services-agent' ),
			'section'  => 'title_tagline', // Section to add this control.
			'settings' => 'cleaning_services_agent_enable_site_logo',
		)
	)
);

// Site Title - Enable Setting.
$wp_customize->add_setting(
	'cleaning_services_agent_enable_site_title_setting',
	array(
		'default'           => true,
		'sanitize_callback' => 'cleaning_services_agent_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Cleaning_Services_Agent_Toggle_Switch_Custom_Control(
		$wp_customize,
		'cleaning_services_agent_enable_site_title_setting',
		array(
			'label'    => esc_html__( 'Enable Site Title', 'cleaning-services-agent' ),
			'section'  => 'title_tagline',
			'settings' => 'cleaning_services_agent_enable_site_title_setting',
		)
	)
);

// Tagline - Enable Setting.
$wp_customize->add_setting(
	'cleaning_services_agent_enable_tagline_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'cleaning_services_agent_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Cleaning_Services_Agent_Toggle_Switch_Custom_Control(
		$wp_customize,
		'cleaning_services_agent_enable_tagline_setting',
		array(
			'label'    => esc_html__( 'Enable Tagline', 'cleaning-services-agent' ),
			'section'  => 'title_tagline',
			'settings' => 'cleaning_services_agent_enable_tagline_setting',
		)
	)
);

$wp_customize->add_setting( 'cleaning_services_agent_site_title_size', array(
    'default'           => 30, // Default font size in pixels
    'sanitize_callback' => 'absint', // Sanitize the input as a positive integer
) );

// Add control for site title size
$wp_customize->add_control( 'cleaning_services_agent_site_title_size', array(
    'type'        => 'number',
    'section'     => 'title_tagline', // You can change this section to your preferred section
    'label'       => __( 'Site Title Font Size ', 'cleaning-services-agent' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
) );

$wp_customize->add_setting('cleaning_services_agent_site_logo_width', array(
    'default'           => 200,
    'sanitize_callback' => 'cleaning_services_agent_sanitize_range_value',
));

$wp_customize->add_control(new Cleaning_Services_Agent_Customize_Range_Control($wp_customize, 'cleaning_services_agent_site_logo_width', array(
    'label'       => __('Adjust Site Logo Width', 'cleaning-services-agent'),
    'description' => __('This setting controls the Width of Site Logo', 'cleaning-services-agent'),
    'section'     => 'title_tagline',
    'settings'    => 'cleaning_services_agent_site_logo_width',
    'input_attrs' => array(
        'min'  => 0,
        'max'  => 400,
        'step' => 5,
    ),
)));

// ---------------------------------------- ANIMATION ----------------------------------------------------

$wp_customize->add_setting( 'cleaning_services_agent_animation_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );
$wp_customize->add_control( new Cleaning_Services_Agent_Separator_Custom_Control( $wp_customize, 'cleaning_services_agent_animation_separator', array(
	'label' => __( 'Enable / Disable Animation', 'cleaning-services-agent' ),
	'section' => 'cleaning_services_agent_general_options',
	'settings' => 'cleaning_services_agent_animation_separator',
) ) );
// Animation Enable / Disable
$wp_customize->add_setting('cleaning_services_agent_enable_animation',array(
		'default'           => true,
		'sanitize_callback' => 'cleaning_services_agent_sanitize_switch',
	)
);
$wp_customize->add_control(
	new Cleaning_Services_Agent_Toggle_Switch_Custom_Control($wp_customize,'cleaning_services_agent_enable_animation',array(
			'label'   => esc_html__( 'Enable Animation', 'cleaning-services-agent' ),
			'section' => 'cleaning_services_agent_general_options',
		)
	)
);

// Topbar Padding Setting
$wp_customize->add_setting('cleaning_services_agent_topbar_padding',array(
		'default' => '',
		'sanitize_callback' => 'absint'
	)
);
$wp_customize->add_control('cleaning_services_agent_topbar_padding',array(
		'label' => __('Topbar Padding','cleaning-services-agent'),
		'section' => 'cleaning_services_agent_header_options',
		'type' => 'number',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1
		)
	)
);